⭐ Anti Nether Roof ⭐ | Stop players from entering the nether roof 1.2

Prevent players from glitching or entering the nether top/roof, above bedrock.

  1. gregoryg
    Native Minecraft Version:
    1.18
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    • 1.18
    Contributors:
    iAngry, gregoryg
    [​IMG]
    Anti Nether Roof automatically stops players from entering the nether roof/top in this ultra lightweight plugin.
    [​IMG]
    Commands:
    /AntiNetherRoof - Lists plugin information

    Permission for staff to bypass anti nether roof protection:

    antinetherroof.bypass

    The block message can be customised in the config as well as the method of blocking the roof access.
    old-method: true simply freezes players who enter the nether roof
    old-method: false poisons players until they die in the nether roof, also blocks block placing, breaking and item consumption

    not-allowed:
    - "&2%player% &aYou are not allowed on the nether roof"
    - "&aPlease do not move, type &2/spawn &ato get out"
    (Action bar message that pops up when user in on nether roof, supports PlaceholderAPI)

    potion-effect-strength: 100 (the strength of the dying effect when trying entering nether roof)
    enable-command-on-entry: true (Enables the command-on-entry below)
    command-on-entry:
    - "spawn %player%" (Teleports player to spawn or your command of choice when they enter the roof) (Ability for multiple commands and support for PlaceholderAPI)

    [​IMG]

    Support And Suggestions
    I have created a new discord server so if you'd like to suggest features, require support or found bugs then please join it and report your issue :)
    https://discord.gg/DkWRaszkDy
    playingeye likes this.

Recent Updates

  1. PlaceholderAPI support
  2. Fixed java 16
  3. Java 16 + yesterdays stuff

Recent Reviews

  1. wongiong
    wongiong
    5/5,
    Version: 1.1.9-2
    I think it would be better to have a github page for plugins and also a discord server to communicate
    The last version says it support java16, but in fact it doesn't :(
    so i can't use it on my 1.16.5 server
    1. gregoryg
      Author's Response
      Thanks for the review.
      I forgot to change the java version for compiling. I'll fix that as soon as I can. I don't think my plugins are popular enough for a discord server :(
  2. nunganu
    nunganu
    5/5,
    Version: 1.1.7
    Very nice plugin, it works well on my network.

    Does it allow for multiple commands?
    1. gregoryg
      Author's Response
      No but I will add that in the next update. Thanks for the review!

      EDIT: It has now been added to the latest update :)
  3. Cyberyisus
    Cyberyisus
    4/5,
    Version: 1.1.2
    It was better when you could set a custom command when someone was on the nether roof, like tp them 10 blocks below
    1. gregoryg
      Author's Response
      I'll add that to the next update

      EDIT: I have added the custom command option, in the config just set enable-command-on-entry: true
      command-on-entry: spawn %player% (<-- Example CMD)
  4. sonicytph
    sonicytph
    4/5,
    Version: 1.1.1
    It is a very good plugin but the only problem I have is that when opening the inventory or pausing the poison effect no longer works, I mean that just by opening the inventory or pausing you no longer receive damage
    1. gregoryg
      Author's Response
      I'll fix that in the next update asap. Thanks for the review.

      EDIT: I have updated the plugin to fix this
  5. Cantibra
    Cantibra
    5/5,
    Version: 1.1
    Lovley Developer...
    Very cool Plugin...

    We love it on our server!

    Can't say anything else about it.
    1. gregoryg
      Author's Response
      Thank you for the review! If you have any other suggestions in the future then please let me know :)
  6. lepel100
    lepel100
    3/5,
    Version: 1.0.1
    Please consider moving away from the legacy API. Makes starting up the server take a lot longer.
    1. gregoryg
      Author's Response
      There is no legacy API, it's because I didn't add the "api-version" line to the plugin.yml to make the plugin work on all versions of Minecraft, otherwise it would only be for 1.13+. The plugin was made for the latest version of 1.16 and works down to possibly 1.6
  7. iTaeyeon
    iTaeyeon
    5/5,
    Version: 1.0
    Hello. Plugin is nice, would it be possible to make a permission that allows staff to actually can, but not as default permission. I mean, if I op someone, they won't be able to move, only players with added permission like antinetherroof.move.

    Plugin is nice and work normally on 1.16.1 , 5 stars :)
    1. gregoryg
      Author's Response
      I have added a permission where staff/ops can enter the nether roof. The permission is antinetherroof.bypass

      Thanks for the review!
  8. lee31014
    lee31014
    5/5,
    Version: 1.0
    This is great plugin
    I must give five hearts

    Hope to keep updating to version 1.16
    1. gregoryg
      Author's Response
      Thank you! It should be compatible with 1.16 with no updates needed, but if it isn't then let me know and I'll fix it.